Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Description

In User#notify_about?, the case of mail_notification.blank? is never. Because User#set_mail_notification (before_create) sets

Setting.default_notification_option if blank.

So we can remove its condition. This patch removes it.

User#notify_about? source:tags/6.0.4/app/models/user.rb#L818

User#set_mail_notification source:tags/6.0.4/app/models/user.rb#L161

before_create source:tags/6.0.4/app/models/user.rb#L133

History

#1 - 2025-03-21 10:59 - Go MAEDA

- Target version set to 6.1.0

Setting the target version to 6.1.0.

#2 - 2025-03-22 08:03 - Go MAEDA

- Target version changed from 6.1.0 to Candidate for next minor release

Although the users.mail_notification column is set to true when creating a user object, it is possible to set this column to blank by manually executing

an SQL statement. Therefore, I believe it would be better to keep the current code as it is.

What is your opinion on this?

#3 - 2025-03-23 15:21 - Nishida Yuya

it is possible to set this column to blank by manually executing an SQL statement.

 I see. Thanks comment! I understood that I also need to consider the case when SQL is manually executed, so this patch (

0001-refactor-remove-extra-condition.patch) and issue are incorrect.

Instead, I found a bug about manual executing SQL. Its details and patch is in #42467 .

#4 - 2025-03-27 02:25 - Go MAEDA

- Status changed from New to Closed

- Target version deleted (Candidate for next minor release)

Files

0001-refactor-remove-extra-condition.patch 696 Bytes 2025-03-19 Nishida Yuya
